Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Interface org.xml.sax.DTDHandler

Implementing Classes:
  HandlerBase

public interface DTDHandler

Receive notification of basic DTD-related events.

If a SAX application needs information about notations and unparsed entities, then the application implements this interface and registers an instance with the SAX parser using the parser's setDTDHandler method. The parser uses the instance to report notation and unparsed entity declarations to the application.

The SAX parser may report these events in any order, regardless of the order in which the notations and unparsed entities were declared; however, all DTD events must be reported after the document handler's startDocument event, and before the first startElement event.

It is up to the application to store the information for future use (perhaps in a hash table or object tree). If the application encounters attributes of type "NOTATION", "ENTITY", or "ENTITIES", it can use the information that it obtained through this interface to find the entity and/or notation corresponding with the attribute value.

The HandlerBase class provides a default implementation of this interface, which simply ignores the events.

Version:
  1.0
See Also:
  setDTDHandler, HandlerBase

Method Summary
void | notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId) Receive notification of a notation declaration event.
void | unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName) Receive notification of an unparsed entity declaration event.

Method Detail

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId) throws SAXException

  Receive notification of a notation declaration event.

  It is up to the application to record the notation for later reference, if necessary.

  If a system identifier is present, and it is a URL, the SAX parser must resolve it fully before passing it to the application.

  Parameters:
    `name` - The notation name.
    `publicId` - The notation's public identifier, or null if none was given.
    `systemId` - The notation's system identifier, or null if none was given.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    unparsedEntityDecl, AttributeList

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName) throws SAXException

  Receive notification of an unparsed entity declaration event.

  Note that the notation name corresponds to a notation reported by the notationDecl() event. It is up to the application to record the entity for later reference, if necessary.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Parameters:
    `name` - The unparsed entity's name.
    `publicId` - The entity's public identifier, or null if none was given.
    `systemId` - The entity's system identifier (it must always have one).
    `notation` - name The name of the associated notation.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    notationDecl, AttributeList

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |